Bug 159711 - FC4-re0606.1 /tmp/hda4: Invalid argument passed to ext2 library
FC4-re0606.1 /tmp/hda4: Invalid argument passed to ext2 library
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Viro
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-07 08:02 EDT by Warren Togami
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2005-06-07 08:02:24 EDT
IBM Thinkpad T41 FC4-re0606.1 failed during anaconda when it tried to format my
/home partition.

VT3 says:
* formatting /home as ext3
* Format command: ['/usr/sbin/mke2fs', '/tmp/hda4', '-i', '4096', '-j']

VT5 says:
mke2fs 1.37 (21-Mar-2005)
/tmp/hda4: Invalid argument passed to ext2 library while setting up superblock

GUI dialog says:
An error occurred trying to format hda4.  This problem is serious, and the
installer cannot continue.
Press <Enter> to reboot your system.

sfdisk -d /dev/hda after the failure:
# partition table of /dev/hda
unit: sectors

/dev/hda1 : start=       63, size= 12428577, Id= 7, bootable
/dev/hda2 : start= 12428640, size= 16390080, Id=83
/dev/hda3 : start= 28818720, size=  1043280, Id=82
/dev/hda4 : start= 29862000, size= 48278160, Id=83

Prior to this install attempt, /dev/hda4 was an extended partition containing
two ext3 partitions on /dev/hda5 and /dev/hda6.  I did not modify hda1 (NTFS),
hda2 (/) and hda3 (swap) during this installation attempt.

cat /proc/partitions says:
major minor  #blocks  name

   3     0   39070080 hda
   3     1    6214288 hda1
   3     2    8195040 hda2
   3     3     521640 hda3
   3     4          1 hda4
   7     0      79512 loop0

1 block size on my 24GB /dev/hda4 doesn't look good.

This sounds suspiciously like the problem dcbw complained about on IRC
yesterday, where the kernel failed to see the new partition table on his aic79xx
SCSI /dev/sda, and install failed in a different way.

http://devserv.devel.redhat.com/~dcbw/anacdump.txt
Error informing the kernel about modifications to partition /dev/sda1 - Device
or resource busy.  This means Linux won't know about any changes you made to
/dev/sda1 until you reboot - so you shouldn't mount it or use it in any way
before rebooting.

He also said that /proc/partitions was missing /dev/sda1.

In my case I did manual partitioning, while he used "remove all partitions" from
a disk that previously contained unknown stuff.
Comment 1 Jeremy Katz 2005-06-07 16:02:45 EDT
Kernel is getting confused here...
Comment 2 Warren Togami 2005-06-07 22:43:06 EDT
After discussin in IRC, dcbw's problem might have been unrelated to my problem.

If you want me to spend time reproducing this and getting more data for
debugging, you have until Friday to ask for specific things.  After that point I
need to prep my laptop for 2 weeks of travel starting Monday.

Bottom of dmesg said this.  Could this cause the kernel to be confused later,
when /dev/hda4 (extended) is recreated as /dev/hda4 primary?

kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda2, type ext3), uses xattr
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda5, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda5, type ext3), uses xattr
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda6, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda6, type ext3), uses xattr
Adding 521632k swap on /tmp/hda3.  Priority:-1 extents:1
Comment 3 Dave Jones 2005-12-01 01:54:15 EST
does fc5t1 still have this problem ?
Comment 4 John Thacker 2006-05-05 10:24:11 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.